import React, { FC } from 'react';
import { Grid, Typography, CardContent, Card, Hidden } from '@material-ui/core';
import LocalTaxiIcon from '@material-ui/icons/LocalTaxi';
import LocationCityIcon from '@material-ui/icons/LocationCity';
import PeopleIcon from '@material-ui/icons/People';
import { numberStyle } from './Numbers.style';

export const Numbers: FC = () => {
  const classes = numberStyle();

  return (
    <Grid item container alignItems="stretch" style={{ paddingTop: '20px' }}>
      <Grid item xs={1} lg={2} />

      <Grid item xs={4} lg={2} component={Card} className={classes.noShadow}>
        <CardContent>
          <Grid
            container
            spacing={0}
            direction="column"
            alignItems="center"
            justify="center"
          >
            <Grid item xs={12}>
              <LocalTaxiIcon color="primary" className={classes.bodyIcon} />
            </Grid>
          </Grid>

          <Typography variant="h4" align="center">
            300
          </Typography>

          <Hidden smDown>
            <Typography variant="h5" align="center">
              Rides Offered
            </Typography>
          </Hidden>

          <Hidden mdUp>
            <Typography variant="h5" align="center">
              Rides
            </Typography>
          </Hidden>
        </CardContent>
      </Grid>

      <Grid item xs={2} lg={1} />

      <Grid item xs={4} lg={2} component={Card} className={classes.noShadow}>
        <CardContent>
          <Grid
            container
            spacing={0}
            direction="column"
            alignItems="center"
            justify="center"
          >
            <Grid item xs={12}>
              <LocationCityIcon color="primary" className={classes.bodyIcon} />
            </Grid>
          </Grid>

          <Typography variant="h4" align="center">
            2500
          </Typography>

          <Hidden smDown>
            <Typography variant="h5" align="center">
              Kilometers
            </Typography>
          </Hidden>

          <Hidden mdUp>
            <Typography variant="h5" align="center">
              Kms
            </Typography>
          </Hidden>
        </CardContent>
      </Grid>

      <Grid item xs={1} />

      <Hidden lgUp>
        <Grid item xs={4} />
      </Hidden>

      <Grid item xs={4} lg={2} component={Card} className={classes.noShadow}>
        <CardContent>
          <Grid
            container
            spacing={0}
            direction="column"
            alignItems="center"
            justify="center"
          >
            <Grid item xs={12}>
              <PeopleIcon color="primary" className={classes.bodyIcon} />
            </Grid>
          </Grid>

          <Typography variant="h4" align="center">
            225
          </Typography>

          <Hidden smDown>
            <Typography variant="h5" align="center">
              People who used our service
            </Typography>
          </Hidden>

          <Hidden mdUp>
            <Typography variant="h5" align="center">
              Users
            </Typography>
          </Hidden>
        </CardContent>
      </Grid>

      <Grid item xs={4} lg={2} />
    </Grid>
  );
};
